Retrieve
GET/organizations/{organization_id}
Get organization by ID or label
Path Parameters
organization_id: string
Organization ID or label identifier
minLength1
maxLength255
Query Parameters
expand: optional array of "permissions"
Fields to expand in the response. Currently supports "permissions" to include the permissions field with the caller's permissions for the resource.
Header Parameters
"X-Client-Request-ID": optional string
formatuuid
Returns
Retrieve
curl https://api.keycard.ai/organizations/$ORGANIZATION_ID{
"id": "ab3def8hij2klm9opq5rst7uvw",
"created_at": "2019-12-27T18:11:19.117Z",
"label": "26f1klzn5713-56bincal4ca-60zz1k91s4-j2c13v6",
"name": "name",
"sso_enabled": true,
"updated_at": "2019-12-27T18:11:19.117Z",
"permissions": {
"organizations": {
"read": true,
"update": true
},
"users": {
"read": true,
"list": true
}
}
}Returns Examples
{
"id": "ab3def8hij2klm9opq5rst7uvw",
"created_at": "2019-12-27T18:11:19.117Z",
"label": "26f1klzn5713-56bincal4ca-60zz1k91s4-j2c13v6",
"name": "name",
"sso_enabled": true,
"updated_at": "2019-12-27T18:11:19.117Z",
"permissions": {
"organizations": {
"read": true,
"update": true
},
"users": {
"read": true,
"list": true
}
}
}